using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Configuration;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class PageIndexChangingPage : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if(!IsPostBack)
            FillRecruiterAccount(GridView1);
    }

    void FillRecruiterAccount(GridView gridView)
    {
        try{
            SqlDataSource sqlDataSource = new SqlDataSource();
            sqlDataSource.ConnectionString =
            WebConfigurationManager.ConnectionStrings[
                "RecruitVietnamDbConnectionString"
                ].ConnectionString;
            sqlDataSource.SelectCommandType =
            SqlDataSourceCommandType.Text;
            sqlDataSource.SelectCommand = "select " +
            "CompanyName,ContactName, "
            + " Address,Phone from tblRCAccounts";
            gridView.DataSource = sqlDataSource;
            gridView.DataBind();
        }
        catch(Exception ex)
        {
            Response.Write(ex.Message);
        }
    }
    
    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        GridView1.PageIndex= e.NewPageIndex;
        FillRecruiterAccount(GridView1);
    }

    
}
